Bug 1166159 - [RFE] API v2 - nested routes for each controller [NEEDINFO]
Summary: [RFE] API v2 - nested routes for each controller
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: jmagen@redhat.com
QA Contact: Elyézer Rezende
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-20 13:42 UTC by Bryan Kearney
Modified: 2017-02-23 20:47 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-05-11 15:55:59 UTC
erezende: needinfo? (jmagen)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 3492 None None None 2016-04-22 16:24 UTC

Description Bryan Kearney 2014-11-20 13:42:37 UTC

Comment 1 Bryan Kearney 2014-11-20 13:42:38 UTC
Created from redmine issue http://projects.theforeman.org/issues/3492

Comment 2 Bryan Kearney 2014-11-20 13:42:52 UTC
I am pulling down important features from the 1.7 release. You can read more abotu this feature at 

http://theforeman.org/manuals/1.7/index.html#Releasenotesfor1.7

I believe that QE will be done by the community on this feature.

Comment 3 Bryan Kearney 2014-11-20 13:52:05 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/3492 has been closed
-------------
Joseph Magen
https://github.com/theforeman/foreman/pull/1068
-------------
Joseph Magen
Applied in changeset commit:453dc6939f607d8ae0ff4580b5562734c60b19c5.

Comment 5 Bryan Kearney 2015-01-09 14:50:08 UTC
Upstream bug assigned to jmagen@redhat.com

Comment 8 jaudet 2015-03-16 20:50:17 UTC
What new nested routes are supposed to have been made available? The Foreman 1.7 release notes [1] say this about the subject:

> APIv2: Additional nested URLs to filter resources
>
> New routes (URLs) have been added to APIv2 that show sets of resources that are associated to another, e.g. domains associated with a subnet, or installation media associated to an operating system. More details on these can be found in the API documentation, look for routes such as /operatingsystems/:operatingsystem_id/media.

While this description is helpful, it is not clear which API routes now have nested routes available. Does only the `/media` path have nested routes available? Do more paths have nested routes available? Should one nested route be available for each and every optional parameter than can be provided for a given base path, or not? The upstream redmine bug does not provide any clarification. [2]

It is not clear what the criteria is for success or failure for this bug.

[1] http://theforeman.org/manuals/1.7/index.html#Releasenotesfor1.7
[2] http://projects.theforeman.org/issues/3492

Comment 9 Elyézer Rezende 2015-04-30 16:26:27 UTC
I don't know why the need info was cleared. Adding it back, for more info check comment 8.

Comment 10 Mike McCune 2015-05-11 15:55:59 UTC
closing:upstream this bug, not really worth the effort to test this in QE directly.


Note You need to log in before you can comment on or make changes to this bug.